package def.dom;

import def.dom.ActiveXObject;
import def.dom.ApplicationCache;
import def.dom.Audio;
import def.dom.BarProp;
import def.dom.BeforeUnloadEvent;
import def.dom.CSSRuleList;
import def.dom.CSSStyleDeclaration;
import def.dom.Console;
import def.dom.Crypto;
import def.dom.DeviceMotionEvent;
import def.dom.DeviceOrientationEvent;
import def.dom.Document;
import def.dom.DragEvent;
import def.dom.Element;
import def.dom.ErrorEventHandler;
import def.dom.Event;
import def.dom.EventListener;
import def.dom.EventListenerObject;
import def.dom.External;
import def.dom.FocusEvent;
import def.dom.FrameRequestCallback;
import def.dom.HashChangeEvent;
import def.dom.History;
import def.dom.IDBFactory;
import def.dom.Image;
import def.dom.KeyboardEvent;
import def.dom.Location;
import def.dom.MSGestureEvent;
import def.dom.MSPointerEvent;
import def.dom.MSTemplatePrinter;
import def.dom.MediaQueryList;
import def.dom.MessageEvent;
import def.dom.MouseEvent;
import def.dom.MouseWheelEvent;
import def.dom.Navigator;
import def.dom.Node;
import def.dom.Option;
import def.dom.PageTransitionEvent;
import def.dom.Performance;
import def.dom.PointerEvent;
import def.dom.PopStateEvent;
import def.dom.ProgressEvent;
import def.dom.Screen;
import def.dom.Selection;
import def.dom.Storage;
import def.dom.StorageEvent;
import def.dom.StyleMedia;
import def.dom.UIEvent;
import def.dom.WebKitPoint;
import def.dom.WheelEvent;
import def.dom.Window;

/** This class holds all the global functions and variables of the def.js package. */
public final class Globals {
    private Globals(){}
    public static Audio Audio;
    public static Image Image;
    public static Option Option;
    public static double animationStartTime;
    public static ApplicationCache applicationCache;
    public static Navigator clientInformation;
    public static java.lang.Boolean closed;
    public static Crypto crypto;
    public static java.lang.String defaultStatus;
    public static double devicePixelRatio;
    public static java.lang.String doNotTrack;
    public static Document document;
    public static Event event;
    public static External external;
    public static Element frameElement;
    public static Window frames;
    public static History history;
    public static double innerHeight;
    public static double innerWidth;
    public static double length;
    public static Location location;
    public static BarProp locationbar;
    public static BarProp menubar;
    public static double msAnimationStartTime;
    public static MSTemplatePrinter msTemplatePrinter;
    public static java.lang.String name;
    public static Navigator navigator;
    public static jsweet.util.union.Union<java.lang.String,java.lang.Boolean> offscreenBuffering;
    public static java.util.function.Function<Event,java.lang.Object> onabort;
    public static java.util.function.Function<Event,java.lang.Object> onafterprint;
    public static java.util.function.Function<Event,java.lang.Object> onbeforeprint;
    public static java.util.function.Function<BeforeUnloadEvent,java.lang.Object> onbeforeunload;
    public static java.util.function.Function<FocusEvent,java.lang.Object> onblur;
    public static java.util.function.Function<Event,java.lang.Object> oncanplay;
    public static java.util.function.Function<Event,java.lang.Object> oncanplaythrough;
    public static java.util.function.Function<Event,java.lang.Object> onchange;
    public static java.util.function.Function<MouseEvent,java.lang.Object> onclick;
    public static java.util.function.Function<Event,java.lang.Object> oncompassneedscalibration;
    public static java.util.function.Function<PointerEvent,java.lang.Object> oncontextmenu;
    public static java.util.function.Function<MouseEvent,java.lang.Object> ondblclick;
    public static java.util.function.Function<DeviceMotionEvent,java.lang.Object> ondevicemotion;
    public static java.util.function.Function<DeviceOrientationEvent,java.lang.Object> ondeviceorientation;
    public static java.util.function.Function<DragEvent,java.lang.Object> ondrag;
    public static java.util.function.Function<DragEvent,java.lang.Object> ondragend;
    public static java.util.function.Function<DragEvent,java.lang.Object> ondragenter;
    public static java.util.function.Function<DragEvent,java.lang.Object> ondragleave;
    public static java.util.function.Function<DragEvent,java.lang.Object> ondragover;
    public static java.util.function.Function<DragEvent,java.lang.Object> ondragstart;
    public static java.util.function.Function<DragEvent,java.lang.Object> ondrop;
    public static java.util.function.Function<Event,java.lang.Object> ondurationchange;
    public static java.util.function.Function<Event,java.lang.Object> onemptied;
    public static java.util.function.Function<Event,java.lang.Object> onended;
    public static ErrorEventHandler onerror;
    public static java.util.function.Function<FocusEvent,java.lang.Object> onfocus;
    public static java.util.function.Function<HashChangeEvent,java.lang.Object> onhashchange;
    public static java.util.function.Function<Event,java.lang.Object> oninput;
    public static java.util.function.Function<KeyboardEvent,java.lang.Object> onkeydown;
    public static java.util.function.Function<KeyboardEvent,java.lang.Object> onkeypress;
    public static java.util.function.Function<KeyboardEvent,java.lang.Object> onkeyup;
    public static java.util.function.Function<Event,java.lang.Object> onload;
    public static java.util.function.Function<Event,java.lang.Object> onloadeddata;
    public static java.util.function.Function<Event,java.lang.Object> onloadedmetadata;
    public static java.util.function.Function<Event,java.lang.Object> onloadstart;
    public static java.util.function.Function<MessageEvent,java.lang.Object> onmessage;
    public static java.util.function.Function<MouseEvent,java.lang.Object> onmousedown;
    public static java.util.function.Function<MouseEvent,java.lang.Object> onmouseenter;
    public static java.util.function.Function<MouseEvent,java.lang.Object> onmouseleave;
    public static java.util.function.Function<MouseEvent,java.lang.Object> onmousemove;
    public static java.util.function.Function<MouseEvent,java.lang.Object> onmouseout;
    public static java.util.function.Function<MouseEvent,java.lang.Object> onmouseover;
    public static java.util.function.Function<MouseEvent,java.lang.Object> onmouseup;
    public static java.util.function.Function<MouseWheelEvent,java.lang.Object> onmousewheel;
    public static java.util.function.Function<MSGestureEvent,java.lang.Object> onmsgesturechange;
    public static java.util.function.Function<MSGestureEvent,java.lang.Object> onmsgesturedoubletap;
    public static java.util.function.Function<MSGestureEvent,java.lang.Object> onmsgestureend;
    public static java.util.function.Function<MSGestureEvent,java.lang.Object> onmsgesturehold;
    public static java.util.function.Function<MSGestureEvent,java.lang.Object> onmsgesturestart;
    public static java.util.function.Function<MSGestureEvent,java.lang.Object> onmsgesturetap;
    public static java.util.function.Function<MSGestureEvent,java.lang.Object> onmsinertiastart;
    public static java.util.function.Function<MSPointerEvent,java.lang.Object> onmspointercancel;
    public static java.util.function.Function<MSPointerEvent,java.lang.Object> onmspointerdown;
    public static java.util.function.Function<MSPointerEvent,java.lang.Object> onmspointerenter;
    public static java.util.function.Function<MSPointerEvent,java.lang.Object> onmspointerleave;
    public static java.util.function.Function<MSPointerEvent,java.lang.Object> onmspointermove;
    public static java.util.function.Function<MSPointerEvent,java.lang.Object> onmspointerout;
    public static java.util.function.Function<MSPointerEvent,java.lang.Object> onmspointerover;
    public static java.util.function.Function<MSPointerEvent,java.lang.Object> onmspointerup;
    public static java.util.function.Function<Event,java.lang.Object> onoffline;
    public static java.util.function.Function<Event,java.lang.Object> ononline;
    public static java.util.function.Function<Event,java.lang.Object> onorientationchange;
    public static java.util.function.Function<PageTransitionEvent,java.lang.Object> onpagehide;
    public static java.util.function.Function<PageTransitionEvent,java.lang.Object> onpageshow;
    public static java.util.function.Function<Event,java.lang.Object> onpause;
    public static java.util.function.Function<Event,java.lang.Object> onplay;
    public static java.util.function.Function<Event,java.lang.Object> onplaying;
    public static java.util.function.Function<PopStateEvent,java.lang.Object> onpopstate;
    public static java.util.function.Function<ProgressEvent,java.lang.Object> onprogress;
    public static java.util.function.Function<Event,java.lang.Object> onratechange;
    public static java.util.function.Function<ProgressEvent,java.lang.Object> onreadystatechange;
    public static java.util.function.Function<Event,java.lang.Object> onreset;
    public static java.util.function.Function<UIEvent,java.lang.Object> onresize;
    public static java.util.function.Function<UIEvent,java.lang.Object> onscroll;
    public static java.util.function.Function<Event,java.lang.Object> onseeked;
    public static java.util.function.Function<Event,java.lang.Object> onseeking;
    public static java.util.function.Function<UIEvent,java.lang.Object> onselect;
    public static java.util.function.Function<Event,java.lang.Object> onstalled;
    public static java.util.function.Function<StorageEvent,java.lang.Object> onstorage;
    public static java.util.function.Function<Event,java.lang.Object> onsubmit;
    public static java.util.function.Function<Event,java.lang.Object> onsuspend;
    public static java.util.function.Function<Event,java.lang.Object> ontimeupdate;
    public static java.lang.Object ontouchcancel;
    public static java.lang.Object ontouchend;
    public static java.lang.Object ontouchmove;
    public static java.lang.Object ontouchstart;
    public static java.util.function.Function<Event,java.lang.Object> onunload;
    public static java.util.function.Function<Event,java.lang.Object> onvolumechange;
    public static java.util.function.Function<Event,java.lang.Object> onwaiting;
    public static Window opener;
    public static java.lang.String orientation;
    public static double outerHeight;
    public static double outerWidth;
    public static double pageXOffset;
    public static double pageYOffset;
    public static Window parent;
    public static Performance performance;
    public static BarProp personalbar;
    public static Screen screen;
    public static double screenLeft;
    public static double screenTop;
    public static double screenX;
    public static double screenY;
    public static double scrollX;
    public static double scrollY;
    public static BarProp scrollbars;
    public static Window self;
    public static java.lang.String status;
    public static BarProp statusbar;
    public static StyleMedia styleMedia;
    public static BarProp toolbar;
    public static Window top;
    public static Window window;
    native public static void alert(java.lang.Object message);
    native public static void blur();
    native public static void cancelAnimationFrame(double handle);
    native public static void captureEvents();
    native public static void close();
    native public static java.lang.Boolean confirm(java.lang.String message);
    native public static void focus();
    native public static CSSStyleDeclaration getComputedStyle(Element elt, java.lang.String pseudoElt);
    native public static CSSRuleList getMatchedCSSRules(Element elt, java.lang.String pseudoElt);
    native public static Selection getSelection();
    native public static MediaQueryList matchMedia(java.lang.String mediaQuery);
    native public static void moveBy(double x, double y);
    native public static void moveTo(double x, double y);
    native public static void msCancelRequestAnimationFrame(double handle);
    native public static MediaQueryList msMatchMedia(java.lang.String mediaQuery);
    native public static double msRequestAnimationFrame(FrameRequestCallback callback);
    native public static void msWriteProfilerMark(java.lang.String profilerMarkName);
    native public static java.lang.Object open(java.lang.String url, java.lang.String target, java.lang.String features, java.lang.Boolean replace);
    native public static void postMessage(java.lang.Object message, java.lang.String targetOrigin, java.lang.Object ports);
    native public static void print();
    native public static java.lang.String prompt(java.lang.String message, java.lang.String _default);
    native public static void releaseEvents();
    native public static double requestAnimationFrame(FrameRequestCallback callback);
    native public static void resizeBy(double x, double y);
    native public static void resizeTo(double x, double y);
    native public static void scroll(double x, double y);
    native public static void scrollBy(double x, double y);
    native public static void scrollTo(double x, double y);
    native public static WebKitPoint webkitConvertPointFromNodeToPage(Node node, WebKitPoint pt);
    native public static WebKitPoint webkitConvertPointFromPageToNode(Node node, WebKitPoint pt);
    native public static java.lang.String ToString();
    native public static java.lang.Boolean dispatchEvent(Event evt);
    native public static void removeEventListener(java.lang.String type, EventListener listener, java.lang.Boolean useCapture);
    native public static void clearInterval(double handle);
    native public static void clearTimeout(double handle);
    native public static double setInterval(java.lang.Object handler, java.lang.Object timeout, java.lang.Object... args);
    native public static double setTimeout(java.lang.Object handler, java.lang.Object timeout, java.lang.Object... args);
    native public static void clearImmediate(double handle);
    native public static void msClearImmediate(double handle);
    native public static double msSetImmediate(java.lang.Object expression, java.lang.Object... args);
    native public static double setImmediate(java.lang.Object expression, java.lang.Object... args);
    public static Storage sessionStorage;
    public static Storage localStorage;
    public static Console console;
    public static java.util.function.Function<PointerEvent,java.lang.Object> onpointercancel;
    public static java.util.function.Function<PointerEvent,java.lang.Object> onpointerdown;
    public static java.util.function.Function<PointerEvent,java.lang.Object> onpointerenter;
    public static java.util.function.Function<PointerEvent,java.lang.Object> onpointerleave;
    public static java.util.function.Function<PointerEvent,java.lang.Object> onpointermove;
    public static java.util.function.Function<PointerEvent,java.lang.Object> onpointerout;
    public static java.util.function.Function<PointerEvent,java.lang.Object> onpointerover;
    public static java.util.function.Function<PointerEvent,java.lang.Object> onpointerup;
    public static java.util.function.Function<WheelEvent,java.lang.Object> onwheel;
    public static IDBFactory indexedDB;
    public static IDBFactory msIndexedDB;
    native public static java.lang.String atob(java.lang.String encodedString);
    native public static java.lang.String btoa(java.lang.String rawString);
    native public static void addEventListener(jsweet.util.StringTypes.MSGestureChange type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSGestureDoubleTap type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSGestureEnd type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSGestureHold type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSGestureStart type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSGestureTap type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSInertiaStart type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerCancel type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerDown type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerEnter type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerLeave type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerMove type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerOut type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerOver type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerUp type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.abort type, java.util.function.Function<UIEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.afterprint type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.beforeprint type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.beforeunload type, java.util.function.Function<BeforeUnloadEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.blur type, java.util.function.Function<FocusEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.canplay type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.canplaythrough type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.change type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.click type, java.util.function.Function<MouseEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.compassneedscalibration type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.contextmenu type, java.util.function.Function<PointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.dblclick type, java.util.function.Function<MouseEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.devicemotion type, java.util.function.Function<DeviceMotionEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.deviceorientation type, java.util.function.Function<DeviceOrientationEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.drag type, java.util.function.Function<DragEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.dragend type, java.util.function.Function<DragEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.dragenter type, java.util.function.Function<DragEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.dragleave type, java.util.function.Function<DragEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.dragover type, java.util.function.Function<DragEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.dragstart type, java.util.function.Function<DragEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.drop type, java.util.function.Function<DragEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.durationchange type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.emptied type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.ended type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.focus type, java.util.function.Function<FocusEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.hashchange type, java.util.function.Function<HashChangeEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.input type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.keydown type, java.util.function.Function<KeyboardEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.keypress type, java.util.function.Function<KeyboardEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.keyup type, java.util.function.Function<KeyboardEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.load type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.loadeddata type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.loadedmetadata type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.loadstart type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.message type, java.util.function.Function<MessageEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.mousedown type, java.util.function.Function<MouseEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.mouseenter type, java.util.function.Function<MouseEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.mouseleave type, java.util.function.Function<MouseEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.mousemove type, java.util.function.Function<MouseEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.mouseout type, java.util.function.Function<MouseEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.mouseover type, java.util.function.Function<MouseEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.mouseup type, java.util.function.Function<MouseEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.mousewheel type, java.util.function.Function<MouseWheelEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.offline type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.online type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.orientationchange type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.pagehide type, java.util.function.Function<PageTransitionEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.pageshow type, java.util.function.Function<PageTransitionEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.pause type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.play type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.playing type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.pointercancel type, java.util.function.Function<PointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.pointerdown type, java.util.function.Function<PointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.pointerenter type, java.util.function.Function<PointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.pointerleave type, java.util.function.Function<PointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.pointermove type, java.util.function.Function<PointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.pointerout type, java.util.function.Function<PointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.pointerover type, java.util.function.Function<PointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.pointerup type, java.util.function.Function<PointerEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.popstate type, java.util.function.Function<PopStateEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.progress type, java.util.function.Function<ProgressEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.ratechange type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.readystatechange type, java.util.function.Function<ProgressEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.reset type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.resize type, java.util.function.Function<UIEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.scroll type, java.util.function.Function<UIEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.seeked type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.seeking type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.select type, java.util.function.Function<UIEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.stalled type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.storage type, java.util.function.Function<StorageEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.submit type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.suspend type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.timeupdate type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.unload type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.volumechange type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.waiting type, java.util.function.Function<Event,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(jsweet.util.StringTypes.wheel type, java.util.function.Function<WheelEvent,java.lang.Object> listener, java.lang.Boolean useCapture);
    native public static void addEventListener(java.lang.String type, EventListener listener, java.lang.Boolean useCapture);
    native public static void importScripts(java.lang.String... urls);
    public static ActiveXObject ActiveXObject;
    /**
  * Converts A string to an integer.
  * @param s A string to convert into a number.
  * @param radix A value between 2 and 36 that specifies the base of the number in numString. 
  * If this argument is not supplied, strings with a prefix of '0x' are considered hexadecimal.
  * All other strings are considered decimal.
  */
    native public static double parseInt(java.lang.String s);
    native public static void alert();
    native public static java.lang.Boolean confirm();
    native public static CSSStyleDeclaration getComputedStyle(Element elt);
    native public static CSSRuleList getMatchedCSSRules(Element elt);
    native public static void moveBy(double x);
    native public static void moveBy();
    native public static void moveTo(double x);
    native public static void moveTo();
    native public static java.lang.Object open(java.lang.String url, java.lang.String target, java.lang.String features);
    native public static java.lang.Object open(java.lang.String url, java.lang.String target);
    native public static java.lang.Object open(java.lang.String url);
    native public static java.lang.Object open();
    native public static void postMessage(java.lang.Object message, java.lang.String targetOrigin);
    native public static java.lang.String prompt(java.lang.String message);
    native public static java.lang.String prompt();
    native public static void resizeBy(double x);
    native public static void resizeBy();
    native public static void resizeTo(double x);
    native public static void resizeTo();
    native public static void scroll(double x);
    native public static void scroll();
    native public static void scrollBy(double x);
    native public static void scrollBy();
    native public static void scrollTo(double x);
    native public static void scrollTo();
    native public static void addEventListener(java.lang.String type, EventListener listener);
    native public static void removeEventListener(java.lang.String type, EventListener listener);
    native public static double setInterval(java.lang.Object handler);
    native public static double setTimeout(java.lang.Object handler);
    native public static void addEventListener(jsweet.util.StringTypes.MSGestureChange type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSGestureDoubleTap type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSGestureEnd type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSGestureHold type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSGestureStart type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSGestureTap type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSInertiaStart type, java.util.function.Function<MSGestureEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerCancel type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerDown type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerEnter type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerLeave type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerMove type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerOut type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerOver type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.MSPointerUp type, java.util.function.Function<MSPointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.abort type, java.util.function.Function<UIEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.afterprint type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.beforeprint type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.beforeunload type, java.util.function.Function<BeforeUnloadEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.blur type, java.util.function.Function<FocusEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.canplay type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.canplaythrough type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.change type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.click type, java.util.function.Function<MouseEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.compassneedscalibration type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.contextmenu type, java.util.function.Function<PointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.dblclick type, java.util.function.Function<MouseEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.devicemotion type, java.util.function.Function<DeviceMotionEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.deviceorientation type, java.util.function.Function<DeviceOrientationEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.drag type, java.util.function.Function<DragEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.dragend type, java.util.function.Function<DragEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.dragenter type, java.util.function.Function<DragEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.dragleave type, java.util.function.Function<DragEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.dragover type, java.util.function.Function<DragEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.dragstart type, java.util.function.Function<DragEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.drop type, java.util.function.Function<DragEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.durationchange type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.emptied type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.ended type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.focus type, java.util.function.Function<FocusEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.hashchange type, java.util.function.Function<HashChangeEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.input type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.keydown type, java.util.function.Function<KeyboardEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.keypress type, java.util.function.Function<KeyboardEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.keyup type, java.util.function.Function<KeyboardEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.load type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.loadeddata type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.loadedmetadata type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.loadstart type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.message type, java.util.function.Function<MessageEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.mousedown type, java.util.function.Function<MouseEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.mouseenter type, java.util.function.Function<MouseEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.mouseleave type, java.util.function.Function<MouseEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.mousemove type, java.util.function.Function<MouseEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.mouseout type, java.util.function.Function<MouseEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.mouseover type, java.util.function.Function<MouseEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.mouseup type, java.util.function.Function<MouseEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.mousewheel type, java.util.function.Function<MouseWheelEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.offline type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.online type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.orientationchange type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.pagehide type, java.util.function.Function<PageTransitionEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.pageshow type, java.util.function.Function<PageTransitionEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.pause type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.play type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.playing type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.pointercancel type, java.util.function.Function<PointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.pointerdown type, java.util.function.Function<PointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.pointerenter type, java.util.function.Function<PointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.pointerleave type, java.util.function.Function<PointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.pointermove type, java.util.function.Function<PointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.pointerout type, java.util.function.Function<PointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.pointerover type, java.util.function.Function<PointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.pointerup type, java.util.function.Function<PointerEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.popstate type, java.util.function.Function<PopStateEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.progress type, java.util.function.Function<ProgressEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.ratechange type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.readystatechange type, java.util.function.Function<ProgressEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.reset type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.resize type, java.util.function.Function<UIEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.scroll type, java.util.function.Function<UIEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.seeked type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.seeking type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.select type, java.util.function.Function<UIEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.stalled type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.storage type, java.util.function.Function<StorageEvent,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.submit type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.suspend type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.timeupdate type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.unload type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.volumechange type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.waiting type, java.util.function.Function<Event,java.lang.Object> listener);
    native public static void addEventListener(jsweet.util.StringTypes.wheel type, java.util.function.Function<WheelEvent,java.lang.Object> listener);
    native public static void removeEventListener(java.lang.String type, EventListenerObject listener, java.lang.Boolean useCapture);
    native public static void addEventListener(java.lang.String type, EventListenerObject listener, java.lang.Boolean useCapture);
    native public static void addEventListener(java.lang.String type, EventListenerObject listener);
    native public static void removeEventListener(java.lang.String type, EventListenerObject listener);
    native public static void onerror(def.dom.Event event, def.js.String source, double fileno, double columnNumber);
    native public static void onerror(def.js.String event, def.js.String source, double fileno, double columnNumber);
    native public static void onerror(def.dom.Event event, def.js.String source, double fileno);
    native public static void onerror(def.dom.Event event, def.js.String source);
    native public static void onerror(def.dom.Event event);
    native public static void onerror(def.js.String event, def.js.String source, double fileno);
    native public static void onerror(def.js.String event, def.js.String source);
    native public static void onerror(def.js.String event);
}

